Bug 5291 - [UPDATE REQUEST] lorax-18.12-10
: [UPDATE REQUEST] lorax-18.12-10
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-27 19:20 MSK by Konstantin Vlasov
Modified: 2015-04-06 11:17 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-03-27 19:20:39 MSK
Removed yum dependency for mkefiboot tool.
Comment 1 Konstantin Vlasov 2015-03-27 19:21:35 MSK
https://abf.rosalinux.ru/build_lists/2476151
https://abf.rosalinux.ru/build_lists/2476152

Advisory: It is now possible to run mkefiboot without yum installed.
Comment 2 FirstLevel 2015-03-30 11:52:59 MSD
I see that nothing changes

-- old --
[root@r5-32 ~]# urpmi lorax
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 libselinux1                    2.0.78       11            rosa  2014.1 i586 
 lorax                          18.12        8             rosa  2014.1 i586 
 pykickstart                    1.99.15      3             rosa  2014.1 noarch 
 python-beaker                  1.6.4        5             rosa  2014.1 noarch 
 python-celementtree            1.0.5        14            rosa  2014.1 i586 (рекомендуется)
 python-iniparse                0.4          4             rosa  2014.1 noarch (рекомендуется)
 python-mako                    1.0.0        2             rosa  2014.1 noarch 
 python-markupsafe              0.23         4             rosa  2014.1 i586 
 python-selinux                 2.0.78       11            rosa  2014.1 i586 
 python-urlgrabber              3.10.1       2             rosa  2014.1 noarch 
 squashfs-tools                 4.2          5             rosa  2014.1 i586 
(источник «main updates»)
 python-gpgme                   0.3          1             rosa  2014.1 i586 (рекомендуется)
 yum                            3.2.29       3             rosa  2014.1 noarch (рекомендуется)
 yum-metadata-parser            1.1.4        5             rosa  2014.1 i586 (рекомендуется)
Будет использовано 7.7МБ дополнительного дискового пространства.
Будет загружено 1.6МБ пакетов.
Установить 14 пакетов? (Y/n) 



-- new --
[root@r5-32 ~]# urpmi lorax                                                                                                                          
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 libselinux1                    2.0.78       11            rosa  2014.1 i586 
 pykickstart                    1.99.15      3             rosa  2014.1 noarch 
 python-beaker                  1.6.4        5             rosa  2014.1 noarch 
 python-celementtree            1.0.5        14            rosa  2014.1 i586 (рекомендуется)
 python-iniparse                0.4          4             rosa  2014.1 noarch (рекомендуется)
 python-mako                    1.0.0        2             rosa  2014.1 noarch 
 python-markupsafe              0.23         4             rosa  2014.1 i586 
 python-selinux                 2.0.78       11            rosa  2014.1 i586 
 python-urlgrabber              3.10.1       2             rosa  2014.1 noarch 
 squashfs-tools                 4.2          5             rosa  2014.1 i586 
(источник «main updates»)
 python-gpgme                   0.3          1             rosa  2014.1 i586 (рекомендуется)
 yum                            3.2.29       3             rosa  2014.1 noarch (рекомендуется)
 yum-metadata-parser            1.1.4        5             rosa  2014.1 i586 (рекомендуется)
(источник «tst»)
 lorax                          18.12        10            rosa  2014.1 i586 
Будет использовано 7.7МБ дополнительного дискового пространства.
Будет загружено 1.6МБ пакетов.
Установить 14 пакетов? (Y/n)
Comment 3 Konstantin Vlasov 2015-03-30 15:07:39 MSD
Requirements did not change. However, yum is not a strong requirement, it's simply a suggestion, you can install lorax without yum by calling
# urpmi --no-suggests lorax

Earlier when you did that, mkefiboot tool crashed (even though it does not require any yum functionality for work). Now it won't crash.
Comment 4 FirstLevel 2015-03-31 11:44:15 MSD
(In reply to comment #3)
> Requirements did not change. However, yum is not a strong requirement, it's
> simply a suggestion, you can install lorax without yum by calling
> # urpmi --no-suggests lorax
> 
> Earlier when you did that, mkefiboot tool crashed (even though it does not
> require any yum functionality for work). Now it won't crash.

OK, it works.

-- 32 bit old-- 
[root@r5-32 ~]# mkefiboot 
Traceback (most recent call last):
  File "/usr/sbin/mkefiboot", line 26, in <module>
    from pylorax.imgutils import mkdosimg, round_to_blocks, LoopDev, DMDev, dm_detach
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 39, in <module>
    import yum
ImportError: No module named yum
[root@r5-32 ~]#


-- 64bit old --
[root@r5-64 ~]# mkefiboot 
Traceback (most recent call last):
  File "/usr/sbin/mkefiboot", line 26, in <module>
    from pylorax.imgutils import mkdosimg, round_to_blocks, LoopDev, DMDev, dm_detach
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 39, in <module>
    import yum
ImportError: No module named yum
[root@r5-64 ~]#



------ 32bit new -----
[root@r5-32 ~]# mkefiboot 
usage: mkefiboot [-h] [--debug] [-d] [-a] [-l LABEL] [-i ICONFILE]
                 [-n DISKNAME] [-p PRODUCT]
                 EFIBOOTDIR OUTPUTFILE
mkefiboot: error: too few arguments
[root@r5-32 ~]# 


----- 64bit new ------
[root@r5-64 ~]# mkefiboot 
usage: mkefiboot [-h] [--debug] [-d] [-a] [-l LABEL] [-i ICONFILE]
                 [-n DISKNAME] [-p PRODUCT]
                 EFIBOOTDIR OUTPUTFILE
mkefiboot: error: too few arguments
[root@r5-64 ~]#
Comment 5 Vladimir Potapov 2015-03-31 11:50:56 MSD
The update is sent to expanded testing
***************************************
Comment 6 Vladimir Potapov 2015-04-06 11:11:47 MSD
lorax-18.12-10
https://abf.rosalinux.ru/build_lists/2476151
https://abf.rosalinux.ru/build_lists/2476152
**************************** Advisory ****************************
It is now possible to run mkefiboot without yum installed.
******************************************************************
QA Verified